routes/web.php
    Route::get('content-liked', [HomeController::class,'content_liked'])->name('content-liked');
    Route::get('content-disliked', [HomeController::class,'content_disliked'])->name('content-disliked');
    Route::get('content-my-list', [HomeController::class,'content_my_list'])->name('content-my-list');
    Route::get('/notifications',[HomeController::class,'notifications'])->name('notifications');
});

    

//social login
Route::get('/facebook', [SocialLoginController::class, 'redirectToFacebook'])->name('facebook');
Route::get('/facebook/callback', [SocialLoginController::class, 'handleFacebookCallback']);
Route::get('auth/google', [SocialLoginController::class, 'redirectToGoogle'])->name('google');
Route::get('google/callback', [SocialLoginController::class, 'handleGoogleCallback']);


// apple login 
Route::get('auth/apple', [AppleSocialController::class, 'redirectToApple'])->name('apple');
Route::any('apple/callback', [AppleSocialController::class, 'handleCallback'])->name('apple.callback');

Route::get('/subscription/create', ['as'=>'home','uses'=>'SubscriptionController@index'])->name('subscription.create');
Route::post('order-post', ['as'=>'order-post','uses'=>'SubscriptionController@orderPost']);

Route::get('about-us', 'Api\DocumentController@about_us');
/*Route::get('contact-us', 'Api\DocumentController@contact_us');
Route::get('privacy-notice', 'Api\DocumentController@privacy_notice');
Route::get('term-of-service', 'Api\DocumentController@term_of_service');*/


Route::get('streaming', 'CommonController@streaming');

Route::post('add-channel-id', 'CommonController@add_channel_id');
Route::get('account-activation/{id}', 'CommonController@account_activation');
Route::any('create/password/{id}/{token}', 'CommonController@craete_password')->name('create.password');
Route::get('auth-account-activation/{id}', 'CommonController@auth_account_activation');

//Route::post('forgot/password', 'CommonController@forgot_password')->name('forgot_password');

Route::get('terms-conditions', 'CommonController@terms_conditions');
Route::get('privacy-policy', 'CommonController@privacy_policy');
Route::get('loyalty-reward-terms-condition', 'CommonController@loyalty_reward_terms_condition');
Route::get('logs/{id}', 'CommonController@activity_log');

Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth', 'admin']], function () {

    Route::get('profile', 'ProfileController@view')->name('profile');
    Route::post('profile-update/{id}', 'ProfileController@update')->name('profile.update');

    Route::post('change-password/{id}', 'ProfileController@changePassword')->name('change.password');

    Route::get('/contenttags/{type}', 'ExportController@contenttags')->name('contenttags.export');
    Route::get('/users/{type}', 'ExportController@users')->name('users.export');
    Route::get('/genres/{type}', 'ExportController@genres')->name('genres.export');
    Route::get('/casting/{type}', 'ExportController@casting')->name('casting.export');
    Route::get('/artists/{type}', 'ExportController@artists')->name('artists.export');
    Route::get('/age/{type}', 'ExportController@age')->name('age.export');
    Route::get('/plan_managment/{type}', 'ExportController@plan_managment')->name('plan_managment.export');
    Route::get('/plan_features/{type}', 'ExportController@plan_features')->name('plan_features.export');
    Route::get('/payment_records/{type}', 'ExportController@payment_records')->name('payment_records.export');
    Route::get('/contents/{type}', 'ExportController@contents')->name('contents.export');
    Route::get('/seasons/{type}', 'ExportController@seasons')->name('seasons.export');
    Route::get('/videos/{type}', 'ExportController@videos')->name('videos.export');
    Route::get('/faqs/{type}', 'ExportController@faqs')->name('faqs.export');
    Route::get('/feedbacks/{type}', 'ExportController@feedbacks')->name('feedbacks.export');
    Route::get('/multi_language_management/{type}', 'ExportController@multi_language_management')->name('multi_language_management.export');
    
    Route::get('dashboard', 'DashboardController@index')->name('dashboard');
    Route::get('s3bucket', 'DashboardController@s3bucket')->name('s3bucket');
    Route::get('support', 'DashboardController@support_chat')->name('support');
    Route::get('get_chat_history_data', 'DashboardController@get_chat_history_data')->name('get_chat_history_data');   
    Route::post('reply_chat', 'DashboardController@reply_chat')->name('reply_chat');   
    Route::get('users', 'UserController@index')->name('users.index');
    Route::get('users/show/{id}', 'UserController@show')->name('user.show');
    Route::get('users/edit/{id}', 'UserController@edit')->name('user.edit');
    Route::put('users/update/{id}', 'UserController@update')->name('user.update');
    Route::get('users/destroy/{id}', 'UserController@edit')->name('user.destroy');
    Route::post('active_deactive','UserController@active_deactive')->name('active_deactive');
    Route::post('restore_account','UserController@restore_account')->name('restore_account');

    Route::post('active_deactive_genre','CategoryController@active_deactive_genre')->name('active_deactive_genre');
      
    Route::resource('category',CategoryController::class);
    Route::resource('season',SeasonController::class);
    Route::resource('ratings',AgeRatingController::class);
    Route::resource('tags',TagController::class);
    
    Route::resource('artist',ArtistController::class);
    Route::resource('genre',GenreController::class);
    Route::resource('cast',CastTypeController::class);
    Route::resource('plan',PlanController::class);  
    Route::resource('currency',CurrencyController::class);  
    Route::resource('country',CountryController::class);  
    Route::resource('price',PriceController::class);  
    Route::resource('attribute',AttributeController::class);  
    Route::resource('contactus',ContactUsController::class);    
    Route::resource('issue',IssueController::class);    
    Route::resource('content',ContentController::class);    
    Route::resource('video',VideoController::class);    
    Route::resource('faq',FaqController::class);    
    Route::resource('feedback',FeedbackController::class);    
    Route::resource('ask-to-us',AskToUsController::class);    
    Route::resource('multilanguage',MultiLanguageKeyController::class);    
    Route::resource('payment_history',PaymentHistoryController::class);    

    // Route::get('tags', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
    // Route::get('tags/{type}', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
        
    Route::post('import', 'ContentController@import')->name('import');
    Route::any('adv_content_change', 'ContentController@adv_content_change')->name('adv_content_change');
    Route::any('movie_adv_content_change', 'ContentController@movie_adv_content_change')->name('movie_adv_content_change');
    Route::get('get_season_data', 'VideoController@get_season_data')->name('get_season_data');   
    Route::post('trailer_file_upload', 'ContentController@trailer_file_upload')->name('trailer_file_upload');   
    Route::post('chunk_file_upload', 'VideoController@chunk_file_upload')->name('chunk_file_upload');   
    Route::post('active_deactive_faq','FaqController@active_deactive_faq')->name('active_deactive_faq');

    Route::get('plan/manageattr/{id}', 'PlanController@manageattr')->name('plan.manageattr');   
    Route::post('plan/attr_update/{id}', 'PlanController@attr_update')->name('plan.attr_update');   
    
    Route::post('product/addstore/{id}', 'ProductController@addstore')->name('product.addstore');   
    Route::get('remove_product_store/{id}', 'ProductController@remove_product_store')->name('remove_product_store');   
    Route::post('save_product_store', 'ProductController@save_product_store')->name('save_product_store');   
    Route::post('active_deactive_product','ProductController@active_deactive_product')->name('active_deactive_product');
    Route::post('get_image','ProductController@get_image')->name('get_image');

    Route::post('order_notification_customer','OrderController@order_notification_customer')->name('order_notification_customer');
    
    Route::get('reported/issue','IssueController@reported_issue_index')->name('reported.issue');
    Route::get('bulk/notification',[NotificationController::class,'index'])->name('bulk.index');
    Route::post('bulk/notification',[NotificationController::class,'store'])->name('bulk.store');
    
    Route::get('system/config','SystemConfigController@index')->name('system.config');
    Route::post('system/config/submit','SystemConfigController@update')->name('system.config.submit');
    Route::post('system/config/backup','SystemConfigController@update')->name('system.config.backup');
    Route::post('system/config/download','SystemConfigController@update')->name('system.config.download');
    Route::post('system/config/delete_backup','SystemConfigController@update')->name('system.config.delete_backup');
    
    Route::get('app/config','SystemConfigController@app')->name('app.config');
    Route::post('app/config/submit','SystemConfigController@submit_app')->name('app.config.submit');

    Route::get('report/all_report','ReportController@index')->name('report.all');

    Route::post('refund','OrderController@refund_test')->name('refund');
    Route::any('send-mail-customer',[SendMailController::class,'customer'])->name('mail.customer');
    Route::any('send-notification-customer',[SendMailController::class,'customer_notification'])->name('notification.customer');

    Route::any('terms-conditions',[CMSController::class,'terms_conditions'])->name('terms_conditions');
    Route::any('privacy-policy',[CMSController::class,'privacy_policy'])->name('privacy_policy');

app/Http/Controllers/Admin/FaqController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Helpers\CommonHelper;
use Illuminate\Http\Request;
use App\Models\Faq;
use DataTables;
use Illuminate\Support\Facades\Auth;

class FaqController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
            
       if ($request->ajax())
       {
            $data = Faq::select('*')->get();

            return Datatables::of($data)
            ->editColumn('status', function ($row)
            {
                if($row['status'] == 0){
                    return '<button onclick="active_deactive_faq(this);" data-id="' . $row['id'] . '" data-token="' . csrf_token() . '"  class="btn btn-danger btn-xs waves-effect waves-light" data-table="faq" data-status="' . $row['status']. '">Inactive</button>';
                }else{
                    return '<button onclick="active_deactive_faq(this);" data-id="' . $row['id'] . '" data-token="' . csrf_token() . '"   class="btn btn-success btn-xs waves-effect waves-light" data-table="faq" data-status="' . $row['status']. '">Active</button>';
                }
            })
            ->editColumn('question', function ($row){
                return strlen($row['question']) > 50 ? substr($row['question'],0,50)."..." : $row['question'];
            })
            ->editColumn('action', function ($row){
                $btn = '<a title="Edit" href="'.route('admin.faq.edit',$row['id']).'" class="mr-2"><i class="fa fa-edit"></i></a>';
                $btn .= '<a title="View" href="'.route('admin.faq.show',$row['id']).'" class="mr-2"><i class="fa fa-eye"></i></a>';
                $btn .= '<a title="Delete" href="'.route('admin.faq.destroy', $row['id']).'" data-url="faq" data-id="'.$row["id"].'" data-popup="tooltip" onclick="delete_notiflix(this);return false;" data-token="'.csrf_token().'" ><i class="fa fa-trash"></i></a>';
                
                return $btn;
            })
            ->rawColumns(['action','id','question','status'])
            
            ->make(true);
       }
       else
       {
           $columns = [
               ['data' => 'id','name' => 'id','title' => "Id"],
               ['data' => 'question', 'name' => 'question','title' => __("Question"),'searchable'=>true ], 
               ['data' => 'status', 'name' => 'status','title' => __("Status"),'searchable'=>true ], 
               ['data' => 'action','name' => 'action', 'title' => "Action",'searchable'=>false,'orderable'=>false]];
           $params['dateTableFields'] = $columns;
           $params['dateTableUrl'] = route('admin.faq.index');
           $params['dateTableTitle'] = "FAQ Management";
           $params['dataTableId'] = time();
           $params['addUrl'] = route('admin.faq.create');
           return view('admin.pages.faq.index',$params);
       }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $params['pageTittle'] = "Add FAQ" ;
        $params['backUrl'] = route('admin.faq.index');

        return view('admin.pages.faq.post',$params);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        $request->validate([
            'question_en' => 'required',
            'question_hi' => 'required',
            'question_fr' => 'required',
            'question_md' => 'required',
            'question_sp' => 'required',
            'answer_en' => 'required',
            'answer_hi' => 'required',
            'answer_fr' => 'required',
            'answer_md' => 'required',
            'answer_sp' => 'required',
        ]);
     
        $Faq = Faq::create([
            'question' => [
                'en' => $request->question_en,
                'hi' => $request->question_hi,
                'fr' => $request->question_fr,
                'md' => $request->question_md,
                'sp' => $request->question_sp
            ],
            'answer' => [
                'en' => $request->answer_en,
                'hi' => $request->answer_hi,
                'fr' => $request->answer_fr,
                'md' => $request->answer_md,
                'sp' => $request->answer_sp
            ],
        ]);

        return redirect()->route('admin.faq.index')->with('success','FAQ created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $params['pageTittle'] = "View FAQ";
        $params['faq'] = Faq::find($id);
        $params['backUrl'] = route('admin.faq.index');

        return view('admin.pages.faq.view',$params);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function edit($id)
    {
            
        $params['pageTittle'] = "Edit FAQ";
        $params['faq'] = Faq::find($id);
        $params['backUrl'] = route('admin.faq.index');
        return view('admin.pages.faq.put',$params);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function update(Request $request, $id)
    {
        //dd($request->all());

        $request->validate([
            'question_en' => 'required',
            'question_hi' => 'required',
            'question_fr' => 'required',
            'question_md' => 'required',
            'question_sp' => 'required',
            'answer_en' => 'required',
            'answer_hi' => 'required',
            'answer_fr' => 'required',
            'answer_md' => 'required',
            'answer_sp' => 'required',
        ]);

        $faq = Faq::where('id', $id)->update([
            'question' => [
                'en' => $request->question_en,
                'hi' => $request->question_hi,
                'fr' => $request->question_fr,
                'md' => $request->question_md,
                'sp' => $request->question_sp
            ],
            'answer' => [
                'en' => $request->answer_en,
                'hi' => $request->answer_hi,
                'fr' => $request->answer_fr,
                'md' => $request->answer_md,
                'sp' => $request->answer_sp
            ],
        ]);

        return redirect()->route('admin.faq.index')->with('success','FAQ updated successfully.');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function destroy($id)
    {
        Faq::whereId($id)->delete();
        return redirect()->route('admin.faq.index')
                        ->with('success','FAQ deleted successfully');
    }

    public function active_deactive_faq()
    {
       if($_POST['table'] == 'faq'){
            if($_POST['status'] == 0){
                $status = 1;
            }else{
                $status = 0;
            }
            Faq::where('id', $_POST['id'])->update(['status' => $status]);
        }
        echo $status; 
    }

}

resources/views/admin/pages/faq/index.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminfaq')}}
                </div>
                <h4 class="page-title">{{$dateTableTitle}}</h4>
            </div>
            <div class="btn-group float-right mt-2 mb-2">
                    <a href="{{$addUrl}}"  class="btn btn-sm btn-secondary waves-effect waves-light mr-2">
                    <span class="btn-label">
                        <i class="fa fa-plus"></i>
                    </span>
                    Add
                </a>
                <a type="button" target="_blank" href="{{ route('admin.faqs.export',['type'=>'excel']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">XLSX Export</a>
                <a type="button" target="_blank" href="{{ route('admin.faqs.export',['type'=>'csv']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">CSV Export</a>
                <a type="button" target="_blank" href="{{ route('admin.faqs.export',['type'=>'pdf']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">PDF Export</a>
            </div>
		</div>
	</div>
    @include('admin.include.flash-message')
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
					@include('admin.include.table')
				</div>
			</div>	
		</div>
	</div>
</div>


@endsection
@section('script')
@include('admin.include.table_script')
@endsection

resources/views/admin/pages/faq/post.blade.php
@extends('admin.layouts.master')
@section('content')

<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminaddfaq')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
        </div>
	</div>
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
                
                <form action="{{ route('admin.faq.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('POST')

                    <div class="row">

                        <div class="col-6">
                            <div class="form-group">
                                <label for="question_en">Question English<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="question_en" id="question_en" placeholder="Enter question in english" required></textarea>
                                @error('question_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-6">
                            <div class="form-group">
                                <label for="answer_en">Answer English<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="answer_en" id="answer_en" placeholder="Enter answer in english" required></textarea>
                                @error('answer_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label for="question_md">Question Mandarin<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="question_md" id="question_md" placeholder="Enter question in mandarin" required></textarea>
                                @error('question_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-6">
                            <div class="form-group">
                                <label for="answer_md">Answer Mandarin<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="answer_md" id="answer_md" placeholder="Enter answer in mandarin" required></textarea>
                                @error('answer_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label for="question_hi">Question Hindi<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="question_hi" id="question_hi" required placeholder="Enter question in hindi"></textarea>
                                @error('question_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-6">
                            <div class="form-group">
                                <label for="answer_hi">Answer Hindi<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="answer_hi" id="answer_hi" required placeholder="Enter answer in hindi"></textarea>
                                @error('answer_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label for="question_sp">Question Spanish<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="question_sp" id="question_sp" required placeholder="Enter question in spanish"></textarea>
                                @error('question_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-6">
                            <div class="form-group">
                                <label for="answer_sp">Answer Spanish<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="answer_sp" id="answer_sp" required placeholder="Enter answer in spanish"></textarea>
                                @error('answer_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label for="question_fr">Question French<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="question_fr" id="question_fr" required placeholder="Enter question in french"></textarea>
                                @error('question_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-6">
                            <div class="form-group">
                                <label for="answer_fr">Answer French<span class="text-danger">*</span></label>
                                <textarea class="form-control" name="answer_fr" id="answer_fr" required placeholder="Enter answer in french"></textarea>
                                @error('answer_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                    </div>
                    <div class="form-group text-right m-b-0">
                        <button class="btn btn-primary waves-effect waves-light" type="submit">
                            Submit
                        </button>
                        <a href="{{ route('admin.faq.index') }}" class="btn btn-secondary waves-effect m-l-5">Cancel</a>
                    </div>

                </form>

				</div>
			</div>	
		</div>
	</div>
</div>

@endsection

resources/views/admin/pages/faq/view.blade.php
@extends('admin.layouts.master')
@section('content')

<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminviewfaq')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
		</div>
	</div>

    @php
    $question = $faq->getTranslations('question');
    $answer = $faq->getTranslations('answer');
    @endphp

	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped">
                            <tbody>

                                <tr>
                                    <th class="text-nowrap" scope="row">Question English</th>
                                    <td colspan="5">{{ $question['en'] }}</td>
                                </tr>
                                
                                <tr>
                                    <th class="text-nowrap" scope="row">Answer English</th>
                                    <td colspan="5">{{ $answer['en'] }}</td>
                                </tr>

                                <tr>
                                    <th class="text-nowrap" scope="row">Question Mandarin</th>
                                    <td colspan="5">{{ $question['md'] }}</td>
                                </tr>
                                
                                <tr>
                                    <th class="text-nowrap" scope="row">Answer Mandarin</th>
                                    <td colspan="5">{{ $answer['md'] }}</td>
                                </tr>

                                <tr>
                                    <th class="text-nowrap" scope="row">Question Hindi</th>
                                    <td colspan="5">{{ $question['hi'] }}</td>
                                </tr>
                                
                                <tr>
                                    <th class="text-nowrap" scope="row">Answer Hindi</th>
                                    <td colspan="5">{{ $answer['hi'] }}</td>
                                </tr>

                                <tr>
                                    <th class="text-nowrap" scope="row">Question Spanish</th>
                                    <td colspan="5">{{ $question['sp'] }}</td>
                                </tr>
                                
                                <tr>
                                    <th class="text-nowrap" scope="row">Answer Spanish</th>
                                    <td colspan="5">{{ $answer['sp'] }}</td>
                                </tr>

                                <tr>
                                    <th class="text-nowrap" scope="row">Question French</th>
                                    <td colspan="5">{{ $question['fr'] }}</td>
                                </tr>
                                
                                <tr>
                                    <th class="text-nowrap" scope="row">Answer French</th>
                                    <td colspan="5">{{ $answer['fr'] }}</td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
			</div>	
		</div>
	</div>
</div>
@endsection